Page MenuHomePhabricator

Add support for packet.net hosts
Closed, ResolvedPublicFEATURE REQUEST

Description

We need to add support for packet.net hosts type 0 and type 1
for that purpose we need to collect hw info from both instances

Type0: 1 Gbps Network (2 × 1Gbps w/ TLB) full hardware redundancy but no active/active bond.
Type1: 2 Gbps Bonded Network (2 × 1Gbps w/ LACP) full hardware redundancy and active/active bond.
Type1e: 10 Gbps Network (2 × Intel X710 NIC's in TLB) full hardware redundancy but no active/active bond.
Type2: 20 Gbps Bonded Network (2 × 10Gbps w/ LACP) full hardware redundancy and active/active bond.
Type2A: 20 Gbps Bonded Network (2 × 10Gbps w/ LACP) full hardware redundancy and active/active bond.
Type3: 20 Gbps Bonded Network (2 × 10Gbps w/ LACP) full hardware redundancy and active/active bond.
TypeS: 20 Gbps Bonded Network ( 2 × 10 Gbps w/ LACP) full hardware redundancy and active/active bond.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

syncer assigned this task to sergei.Feb 6 2018, 11:29 PM
syncer created this task.

Not sure if it's much help, but here is how we got it working: https://gist.github.com/mikeburgh/7fef199dfc0e4edf20b1292a69500159

ed added a subscriber: ed.Feb 8 2018, 3:47 PM

What kind of hardware info do you need? Happy to provide any specs or details.

syncer added a comment.Feb 8 2018, 5:47 PM

Hey @ed We talked on email if i'm not wrong.

We got info from type0 and type1 instances and will be looking to add drivers and etc.
After that we see how to get it on list of standard images.

@mikeburgh do you mind if we put that on wiki ?

@syncer go for it, hopefully it helps some people out :)

ed added a comment.Feb 8 2018, 6:37 PM

Hey @syncer good news, yes we communicated via email. We were just discussing this on the Packet community channel (on Slack, or IRC #packethost) and managed to improve the boot process to avoid a manual step. Happy to help iterate to make this as easy as possible.

syncer added a comment.Feb 8 2018, 7:23 PM

Ed please share this extra details so we can add it on wiki too

ed added a comment.Feb 8 2018, 7:31 PM

The details of how to boot were improved. I tried to add a few things directly to the wiki - mostly links to Packet help pages - but they were rejected as spam (!).

Links to the following pages will be helpful, URLs are self-explanatory

thanks

syncer added a comment.Feb 8 2018, 7:35 PM

Sorry for that
Will whitelist you now
we had issue with spammers in past  and not much contributors :)

ed added a comment.Feb 8 2018, 7:40 PM

No worries, that is the eternal state of wiki

syncer added a comment.Feb 8 2018, 8:01 PM

whitelisted, should be ok now

Jacob:
Some networking info that might be helpful.
If you want to chat about full specs let me know, or we can review what is relevant.
What is your requirements / recommended setup?
Type0: 1 Gbps Network (2 × 1Gbps w/ TLB) full hardware redundancy but no active/active bond.
Type1: 2 Gbps Bonded Network (2 × 1Gbps w/ LACP) full hardware redundancy and active/active bond.
Type1e: 10 Gbps Network (2 × Intel X710 NIC's in TLB) full hardware redundancy but no active/active bond.
Type2: 20 Gbps Bonded Network (2 × 10Gbps w/ LACP) full hardware redundancy and active/active bond.
Type2A: 20 Gbps Bonded Network (2 × 10Gbps w/ LACP) full hardware redundancy and active/active bond.
Type3: 20 Gbps Bonded Network (2 × 10Gbps w/ LACP) full hardware redundancy and active/active bond.
TypeS: 20 Gbps Bonded Network ( 2 × 10 Gbps w/ LACP) full hardware redundancy and active/active bond.

syncer updated the task description. (Show Details)Feb 10 2018, 8:38 PM
syncer added a project: VyOS 1.3 Equuleus.

for type1 we need setup LACP by default

syncer triaged this task as Normal priority.Feb 27 2018, 2:18 PM
pasik added a subscriber: pasik.Oct 1 2018, 9:52 AM
syncer closed this task as Resolved.Oct 13 2018, 6:31 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.